DefaultAutoSeededRNG Class Reference

A typedef providing a default generator. More...

## Detailed Description

A typedef providing a default generator.

DefaultAutoSeededRNG is a typedef of either AutoSeededX917RNG<AES> or AutoSeededRandomPool. If CRYPTOPP_ENABLE_COMPLIANCE_WITH_FIPS_140_2 is defined, then DefaultAutoSeededRNG is AutoSeededX917RNG<AES>. Otherwise, DefaultAutoSeededRNG is AutoSeededRandomPool.

You should reseed the generator after a fork() to avoid multiple generators with the same internal state.

Definition at line 290 of file osrng.h.

The documentation for this class was generated from the following file:

- osrng.h